/*******************************/
/********** About CSS **********/
/*******************************/

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

/* ============================ */
/*       Tailles fluides       */
/* ============================ */

h1 {
  font-size: clamp(2.5rem, 5vw, 3rem);
}
h2 {
  font-size: clamp(2rem, 4vw, 2.5rem);
}
h3 {
  font-size: clamp(1.5rem, 3vw, 2rem);
}
h4 {
  font-size: clamp(1rem, 2vw, 2rem);
}
p {
  font-size: clamp(12.5px, 1.2, 14px);
}
a,
button {
  font-size: inherit;
}

/* ============================ */
/*         Base layout         */
/* ============================ */

body {
  font-family: 'Poppins', sans-serif;
  background-color: #f9f9f9;
  color: #555;
}

.about {
  position: relative;
  width: 100%;
  min-height: 60vh;
  margin-top: 50px;
  padding-top: 30px;
  margin-bottom: 50px;
}

.about-wrapper {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 30px;
  width: 75%;
  margin: 0 auto;
  height: 100%;
}

.about-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  padding: 0px 15px;
}

@media (max-width: 768px) {
  .about-wrapper {
    width: 90%;
    grid-template-columns: 1fr;
  }

  .about-img {
    height: auto !important;
  }
}

.about .section-header {
  margin-left: 0;
}

.about .section-header h3 {
  color:#003366;
  margin-bottom: 5px;
}

.about .section-header h4{
  color:#003366;
  margin-bottom: 5px;

}

.about .about-img {
  width: 100%;
  height: 100%;
}

.about .about-img img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.about .about-text p {

  margin-bottom: 20px;
  text-align: justify;
}

.about .btn {
  position: relative;
  margin-top: 50px;
  padding: 6px 25px;
  font-weight: 600;
  letter-spacing: 1px;
  color:#003366;
  border: 2px solid #003366;
  border-radius: 5px;
  background: none;
  transition: 0.3s;
  
}

.about .about-text a.btn:hover {
  color: #fff;;
  background:#004080;
}

/* ============================ */
/*     Responsive breakpoints  */
/* ============================ */

@media (max-width: 999px) {
  .about-wrapper {
    grid-template-columns: 1fr;
  }

  .about {
    padding-top: 40px;
  }

  .about .about-img {
    height: 400px !important;
    margin-bottom: 30px;
    width: 100%;
    object-fit: cover;
  }

  .about .about-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
}

@media (max-width: 1599px) and (min-width: 1200px) {
  .about-wrapper {
    width: 90%;
  }
}

@media (max-width: 500px) {
  /* Les tailles sont déjà fluides, donc pas besoin de changer ici */
}

@media (max-width: 1199px) {
  .about-wrapper {
    width: 90%;
  }
}
